Skip to main content
`Ctrl`+`K`

# PlanarEmbedding.adjacency

PlanarEmbedding.adjacency()

  Returns an iterator over (node, adjacency dict) tuples for all nodes.

  For directed graphs, only outgoing neighbors/adjacencies are included.

  Returns:
    adj_iter iterator

      An iterator over (node, adjacency dictionary) for all nodes in the graph.

  Examples

      >>> G = nx.path_graph(4)  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> [(n, nbrdict) for n, nbrdict in G.adjacency()]
      [(0, {1: {}}), (1, {0: {}, 2: {}}), (2, {1: {}, 3: {}}), (3, {2: {}})]